summaryrefslogtreecommitdiff
path: root/recipes-extended/lighttpd/lighttpd/lighttpd
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-extended/lighttpd/lighttpd/lighttpd')
-rw-r--r--recipes-extended/lighttpd/lighttpd/lighttpd42
1 files changed, 42 insertions, 0 deletions
diff --git a/recipes-extended/lighttpd/lighttpd/lighttpd b/recipes-extended/lighttpd/lighttpd/lighttpd
new file mode 100644
index 0000000..10335f4
--- /dev/null
+++ b/recipes-extended/lighttpd/lighttpd/lighttpd
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/lighttpd
+NAME=lighttpd
+DESC="Lighttpd Web Server"
+OPTS="-f /etc/lighttpd.conf"
+
+ENABLED=yes
+[ -f /etc/default/$NAME ] && . /etc/default/$NAME
+
+if [ "$ENABLED" != "yes" ]; then
+ echo "$NAME: disabled in /etc/default"
+ exit
+fi
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ start-stop-daemon --start -x "$DAEMON" -- $OPTS
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ start-stop-daemon --stop -x "$DAEMON"
+ echo "$NAME."
+ ;;
+ restart|force-reload)
+ echo -n "Restarting $DESC: "
+ start-stop-daemon --stop -x "$DAEMON"
+ sleep 1
+ start-stop-daemon --start -x "$DAEMON" -- $OPTS
+ echo "$NAME."
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0